import React, {Component} from "react";
import {Layout, Table} from "antd";
import './layout.css'

const { Header, Content, Footer } = Layout;

class Log extends Component {
    constructor(props) {
        super(props);
        this.state = {
            data: [
                [
                    {
                        type: 'client_append_entries',
                        term: 1,
                        timestamp: '1636211332',
                        message: '233ok',
                    },
                ],
            ],
            columns: [
                {
                    title: '操作类型',
                    dataIndex: 'type',
                    key: 'type',
                },
                {
                    title: '任期',
                    dataIndex: 'term',
                    key: 'term',
                },
                {
                    title: '时间戳',
                    dataIndex: 'timestamp',
                    key: 'timestamp',
                },
                {
                    title: '消息记录',
                    dataIndex: 'message',
                    key: 'message',
                },
            ]
        }
    }

    componentDidMount() {
        fetch('log/log.json')
            .then((res) => res.json())
            .then((data) => {
                this.setState({
                    data: data['log']
                })
                console.log(data['log'])
            })
    }


    renderTable = (dataList) => {
        return dataList.map((ele, index) => {
            return (
                (
                    <Table dataSource={ele} columns={this.state.columns}/>
                )
            )
        })
    }

    render() {
        return (
            <Layout className="layout">
                <Header>
                    <div className="logo">
                        RAFT模拟作业 by-Shellmiao
                    </div>
                </Header>
                <Content style={{ padding: '0 50px' }}>
                    <div className="site-layout-content">
                        {
                            this.renderTable(this.state.data)
                        }
                    </div>
                </Content>
                <Footer style={{ textAlign: 'center' }}>Raft Homework ©2021 Created by Shellmiao</Footer>
            </Layout>
        )
    }
}

export default Log;